package http

import (
	"git.javil.eu/jacob1123/budgeteer"
	"git.javil.eu/jacob1123/budgeteer/postgres"
)

type TemplateData struct {
	Token         budgeteer.Token
	Budget        *postgres.Budget
	budgetService *postgres.Repository
}

func (d TemplateData) GetBudgets() []postgres.Budget {
	userID := d.Token.GetID()
	budgets, err := d.budgetService.BudgetsForUser(userID)
	if err != nil {
		return nil
	}

	return budgets
}
